Joomla 3.82 compatible?

11 months 1 week ago #2300 by rkoho
Joomla 3.82 compatible? was created by rkoho
Hi Ian,

It has been an year since I was here:) I could test Joomlabookkeeping again; is it compatible with the newest Joomla version? Do you have the latest version of JBK in the website?

All the best,

Reino

Please Log in or Create an account to join the conversation.

Time to create page: 0.113 seconds